Skip to content

功能概述

退租接口

  • 退租接口,可以由用户或者业主发起退租

接口访问

接口地址

rental/order/terminate

请求方式 Method

POST

Header - Authorization Type : Bearer Token

属性类型长度必填默认值说明访问版本
tokenstring32true用户身份标识令牌-

请求参数

属性类型长度必填默认值说明
rentalIDint64true0订单ID
terminationDatestring256true退租日期(用户不填就默认传接口返回的)
deductionDepositFeeint64false0扣除押金金额(房东发起时可填)
remarkstring256false""备注
terminateStatusint64true0退租状态 1.租客发起退租 2.业主发起退租 3.租客确认,未到退租日 4.业主确认,未到退租日 5.退租办理中 6.退租完成

请求示例

{
    "rentalID": 54,
    "deductionDepositFee":200,
    "terminationDate":"2025-11-21",
    "remark":"我不同意扣这么多",
    "terminateStatus":4
}

返回值

属性类型必填描述
responseobjecttrue响应内容
response.Codestringtrue响应码(例如:"200")
response.Messagestringtrue响应信息(例如:"Success")
requestIdstringtrue请求唯一 ID(用于排查问题)

返回示例

{
    "response": {
        "Code": "200",
        "Message": "Success"
    },
    "requestId": "b713ecb5-70d6-4c4a-8018-2a3d75b0a3df"
}

错误码

错误码说明解决方案
91021合同ID不能为空检查参数是否正确
404Fail代码报错